Next: HUGE, Previous: GMTIME, Up: Intrinsic Procedures [Contents][Index]

### 9.124 `HOSTNM` — Get system host name

Description:

  Retrieves the host name of the system on which the program is running.

  This intrinsic is provided in both subroutine and function forms; however, only one form can be used in any given program unit.

Standard:

  GNU extension

Class:

  Subroutine, function

Syntax:

  `CALL HOSTNM(C [, STATUS])`
  `STATUS = HOSTNM(NAME)`

Arguments:

  C | Shall of type `CHARACTER` and of default kind.
  STATUS | (Optional) status flag of type `INTEGER`. Returns 0 on success, or a system specific error code otherwise.

Return value:

  In either syntax, NAME is set to the current hostname if it can be obtained, or to a blank string otherwise.